Bug 2941 - [UPDATE REQUEST] xkeybord-config, gnome-settings-daemon
: [UPDATE REQUEST] xkeybord-config, gnome-settings-daemon
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 15:14 MSD by Arkady L. Shane
Modified: 2013-11-01 10:27 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2013-10-18 15:14:15 MSD
Advisory:

Added Birman Layout and fix Russian Hotkeys in LibreOffice. Final fixes.
Gnome-Settings-Daemon also updated to 3.8.5

How to test:

Hotkeys:
0. After install reboot system
1. Run LibreOffice Writer
2. Swith to Russian
3. Press Ctrl+O

Birman Layout
1. Run Gnome-control-center
2. Go to Keyboard / Shortcuts / Typing (Клавиатура / горячие клавиши (вкладка) / Набор)
3. Set Right Alt, for ex., for Alternate Characters Key
4. Run LibreOffice Writer and try to press something like Right-Alt + 1,2,3,4,5

Buildlists:
xkeyboard-config
================
https://abf.rosalinux.ru/build_lists/1339249
https://abf.rosalinux.ru/build_lists/1339250

g-s-d
=====
https://abf.rosalinux.ru/build_lists/1347345
https://abf.rosalinux.ru/build_lists/1347346
Comment 1 Vladimir Potapov 2013-10-28 14:51:37 MSK
The update route to extended testing
Comment 2 Postnikov Dmitry 2013-10-31 15:48:04 MSK
*************************
Extended testing report
*************************
We tested on 2 computers, all work fine.
Comment 3 Vladimir Potapov 2013-10-31 16:39:48 MSK
x11-data-xkbdata-2.7-3-rosa2012.1
gnome-settings-daemon-3.8.5-1
*************************** Advisory ************************
Added Birman Layout and fix Russian Hotkeys in LibreOffice. Final fixes.
Gnome-Settings-Daemon also updated to 3.8.5
*************************************************************
QA Verified